org.apache.ignite.internal.processors.platform.cluster

## Class PlatformClusterGroup

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.cluster.PlatformClusterGroup

All Implemented Interfaces:
  PlatformTarget

    public class PlatformClusterGroup
    extends PlatformAbstractTarget

Interop projection.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`FALSE, log, platformCtx, TRUE`

### Constructor Summary

Constructors
Constructor and Description
`PlatformClusterGroup(PlatformContext platformCtx, ClusterGroupEx prj)` Constructor.

### Method Summary

Methods
`PlatformClusterGroup` `forDaemons()`
`PlatformClusterGroup` `forOldest()`
`PlatformClusterGroup` `forOthers(PlatformClusterGroup exclude)`
`PlatformClusterGroup` `forRandom()`
`PlatformClusterGroup` `forRemotes()`
`PlatformClusterGroup` `forYoungest()`
`protected long` `processInStreamOutLong(int type, BinaryRawReaderEx reader)` Process IN operation.
`protected Object` `processInStreamOutObject(int type, BinaryRawReaderEx reader)` Process IN operation with managed object as result.
`protected void` `processInStreamOutStream(int type, BinaryRawReaderEx reader, BinaryRawWriterEx writer)` Process IN-OUT operation.
`protected void` `processOutStream(int type, BinaryRawWriterEx writer)` Process OUT operation.
`ClusterGroupEx` `projection()`
`void` `resetMetrics()` Resets local I/O, job, and task execution metrics.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, currentFuture, currentFutureWrapped, futureWriter, inObjectStreamOutStream, inStreamOutLong, inStreamOutObject, inStreamOutStream, listenFuture, listenFutureForOperation, outLong, outObject, outStream, platformContext, processInObjectStreamOutStream, processOutLong, processOutObject, throwUnsupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformClusterGroup

    public PlatformClusterGroup(PlatformContext platformCtx,
                        ClusterGroupEx prj)

Constructor.

Parameters:
  `platformCtx` - Context.
  `prj` - Projection.

### Method Detail

#### processOutStream

    protected void processOutStream(int type,
                        BinaryRawWriterEx writer)
                             throws IgniteCheckedException

Process OUT operation.

Overrides:
  `processOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `writer` - Portable writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutStream

    protected void processInStreamOutStream(int type,
                                BinaryRawReaderEx reader,
                                BinaryRawWriterEx writer)
                                     throws IgniteCheckedException

Process IN-OUT operation.

Overrides:
  `processInStreamOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Portable reader.
  `writer` - Portable writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutLong

    protected long processInStreamOutLong(int type,
                              BinaryRawReaderEx reader)
                                   throws IgniteCheckedException

Process IN operation.

Overrides:
  `processInStreamOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Portable reader.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutObject

    protected Object processInStreamOutObject(int type,
                                  BinaryRawReaderEx reader)
                                       throws IgniteCheckedException

Process IN operation with managed object as result.

Overrides:
  `processInStreamOutObject` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Portable reader.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### forOthers

    public PlatformClusterGroup forOthers(PlatformClusterGroup exclude)

Parameters:
  `exclude` - Projection to exclude.
Returns:
  New projection.

#### forRemotes

    public PlatformClusterGroup forRemotes()

Returns:
  New projection.

#### forDaemons

    public PlatformClusterGroup forDaemons()

Returns:
  New projection.

#### forRandom

    public PlatformClusterGroup forRandom()

Returns:
  New projection.

#### forOldest

    public PlatformClusterGroup forOldest()

Returns:
  New projection.

#### forYoungest

    public PlatformClusterGroup forYoungest()

Returns:
  New projection.

#### projection

    public ClusterGroupEx projection()

Returns:
  Projection.

#### resetMetrics

    public void resetMetrics()

Resets local I/O, job, and task execution metrics.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015